class MuseSetupInfo(object):
    def basic(hdul):
        metadata = [
            "DET.DIT1: " + str(hdul["PRIMARY"].header.get("HIERARCH ESO DET DIT1")),
            "DATANCOM: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO PRO DATANCOM", "N/A")),
        ]
        return metadata

    def extended(hdul):
        metadata = [
            "INS.MODE: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO INS MODE", "N/A")),
            "INS.OPTI1.NAME: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO INS OPTI1 NAME", "N/A")),
            "DET.READ.CURNAME: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO DET READ CURNAME", "N/A")),
        ]
        return metadata

    def flat_lamp(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def bias(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    def dark(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    def wavelength(hdul):
        metadata = MuseSetupInfo.extended(hdul)[:-1]
        return metadata

    def line_spread_function(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def line_spread_function_2(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def line_spread_function_lsf(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def linearity_and_gain(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def mask(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    def sky_flat(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    def throughput(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    def preprocess_standard(hdul):
        metadata = MuseSetupInfo.extended(hdul)[:-1]
        return metadata

    def preprocess_astrometry(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata
